## stressant 0.8.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Stressant.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Stressant.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Stressant"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Stressant"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## stressant 0.4.0

=== debian/changelog ===
stressant (0.4.0) unstable; urgency=medium

  * can now test in arbitrary directories with --directory option
  * fix "edit" links in docs
  * fix version parsing
  * fix version detection in sphinx build
  * fix sphinx build-dep
  * add examples to manpage
  * explain how the usage and manpages are generated
  * deal with older colorlog modules
  * fix changelog generation with gbp

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 23 Apr 2017 20:03:41 -0400

stressant (0.3.2) unstable; urgency=medium

  * hook grml build into Gitlab CI
  * various documentation updates, including:
    * review builders section
    * credit grml in acknowledgements
    * add asciinema screncast
    * convert documentation to Sphinx/RST
    * add manpage

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 02 Apr 2017 21:50:04 -0400

stressant (0.3.1) unstable; urgency=medium

  * fix copyright file

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 17 Mar 2017 12:02:16 -0400

stressant (0.3.0) unstable; urgency=medium

  * rebuild the whole project using Grml
  * rewrite and complete prototype in Python
  * email, logfile and color support
  * network tests with iPerf3
  * disk tests with fio
  * CPU tests with stress-ng
  * basic information gathered with lshw and smart

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 17 Mar 2017 11:10:21 -0400

stressant (0.2) experimental; urgency=medium

  * switch to using vmdebootstrap to build ISO images
  * add first prototype of test run, not packaged
  * switch to native packaging
  * Initial release (Closes: #707178)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 05 Jan 2017 02:50:03 -0500

=== debian/control ===
Source: stressant
Section: admin
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 9)
             , dh-python
             , python-all
             , python-setuptools
             , python-setuptools-scm
             , python-sphinx
             , python-sphinx-rtd-theme
Standards-Version: 3.9.8
Homepage: https://gitlab.com/anarcat/stressant
Vcs-Git: https://gitlab.com/anarcat/stressant
Vcs-Browser: https://gitlab.com/anarcat/stressant/tree/master

Package: stressant
Architecture: any
Depends: ${misc:Depends}
       , ${python:Depends}
       , ${sphinxdoc:Depends}
Recommends: smartctl
          , lshw
          , hdparm
          , fio
          , stress-ng
          , iperf3
Description: simple stress testing and burn-in tool
 stressant is designed to run on new machines to make sure they will
 work reliably by testing various parts of the system (CPU, RAM, disk,
 network) by putting them under heavy load and try to detect failures.
 .
 As much as possible, stressant tries to reuse existing tools to
 perform the various tasks and aims to be run automatically.

## stressant 0.4.1

=== debian/changelog ===
stressant (0.4.1) unstable; urgency=medium

  * remove traces of monkeysign
  * hide serial numbers from smartctl output
  * python packages are arch:all, not any
  * split docs in a separate package

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 27 Jun 2017 22:59:36 -0400

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,9 @@
 Vcs-Browser: https://gitlab.com/anarcat/stressant/tree/master
 
 Package: stressant
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}
        , ${python:Depends}
-       , ${sphinxdoc:Depends}
 Recommends: smartctl
           , lshw
           , hdparm
@@ -32,3 +31,18 @@
  .
  As much as possible, stressant tries to reuse existing tools to
  perform the various tasks and aims to be run automatically.
+
+Package: stressant-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+       , ${sphinxdoc:Depends}
+Description: simple stress testing and burn-in tool (documentation)
+ stressant is designed to run on new machines to make sure they will
+ work reliably by testing various parts of the system (CPU, RAM, disk,
+ network) by putting them under heavy load and try to detect failures.
+ .
+ As much as possible, stressant tries to reuse existing tools to
+ perform the various tasks and aims to be run automatically.
+ .
+ This package ships the Sphinx documentation builtin to Stressant.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@  --with=python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
        # builder=html,man only supported in Sphinx 1.6, not yet released:
        # http://www.sphinx-doc.org/en/master/setuptools.html
	cd doc ; make html man

## stressant 0.4.1+nmu1

=== debian/changelog ===
stressant (0.4.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:21:24 +0800

## stressant 0.5.0

=== debian/changelog ===
stressant (0.5.0) unstable; urgency=medium

  * ship new stressant-meta package
  * add mkosi to the list of iso generators
  * update and clarify live build images section
  * add more detailed iperf tests
  * add warning and example of fake card and repair
  * tell user how to see smart results
  * run smart tests after other disk benchmarks
  * use job files instead of static fio configuration
  * rename jobfile argument to abstract away fio
  * link to debian manpages
  * use proper smartmontools dependency (Closes: #859698)
  * add more related projects
  * mention more simple disk tests
  * mention that wiping disks is a fairly good way to test them
  * more generic title for flash memory
  * include s-tui in meta
  * link to the bench.sh scripts
  * port to python3 (Closes: #938573)
  * fix --version usage
  * some linting

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 27 Oct 2019 16:29:43 -0400

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 12)
              , dh-python
-             , python-all
-             , python-setuptools
-             , python-setuptools-scm
-             , python-sphinx
-             , python-sphinx-rtd-theme
-Standards-Version: 3.9.8
+             , python3-all
+             , python3-setuptools
+             , python3-setuptools-scm
+             , python3-sphinx
+             , python3-sphinx-rtd-theme
+Standards-Version: 4.4.1
 Homepage: https://gitlab.com/anarcat/stressant
 Vcs-Git: https://gitlab.com/anarcat/stressant
 Vcs-Browser: https://gitlab.com/anarcat/stressant/tree/master
@@ -17,8 +17,8 @@
 Package: stressant
 Architecture: all
 Depends: ${misc:Depends}
-       , ${python:Depends}
-Recommends: smartctl
+       , ${python3:Depends}
+Recommends: smartmontools
           , lshw
           , hdparm
           , fio
@@ -46,3 +46,55 @@
  perform the various tasks and aims to be run automatically.
  .
  This package ships the Sphinx documentation builtin to Stressant.
+
+Package: stressant-meta
+Architecture: all
+Depends: ${misc:Depends}
+       , stressant
+       , f3
+       , hdparm
+       , nwipe
+Suggests: stressant-doc
+          , blktool
+          , bonnie++
+          , chntpw
+          , cryptsetup
+          , diskscan
+          , dosfstools
+          , e2tools
+          , eject
+          , fatresize
+          , foremost
+          , gddrescue
+          , gdisk
+          , hfsplus
+          , hfsprogs
+          , hfsutils
+          , i7z
+          , lm-sensors
+          , lsof
+          , lsscsi
+          , lvm2
+          , memtest86+
+          , mtd-utils
+          , parted
+          , partimage
+          , pciutils
+          , screen
+          , scrub
+          , sdparm
+          , sg3-utils
+          , s-tui
+          , smartmontools
+          , smp-utils
+          , testdisk
+          , tofrodos
+          , u-boot-tools
+          , wodim
+Description: stress-testing, benchmarking and recovery tools (meta-package)
+ Meta-pacakge for the utilities documented in the stressant project.
+ .
+ Packages documented in the stressant manpage are direct dependencies
+ here, while the Suggested packages are general-purpose rescue,
+ diagnostic, forensics or testing tools that were found in other
+ rescue images.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@  --with=python2,sphinxdoc --buildsystem=pybuild
+	dh $@  --with=python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

## stressant 0.5.0+nmu1

=== debian/changelog ===
stressant (0.5.0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-upload source-only to allow migration to testing (Closes: 943867).
  * Fix clean target.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 09 Nov 2019 07:50:54 +0000

## stressant 0.6.0

=== debian/changelog ===
stressant (0.6.0) unstable; urgency=medium

  * documentation updates:
    * mention disk-filltest
    * do not verify disk wipes and use the "random" method
    * "stressant.py" was renamed to "stressant"
    * factor in NMU from plugwash, thanks!
  * code changes:
    * remove bare except, assuming we mean to catch other SMTP exceptions
    * cosmetic: harmonize fio argument order between file and dir
    * cosmetic: remove cargo-culted comments referring to previous code
  * API-breaking changes:
    * merge the two disk sizes arguments (--diskPercent and --fileSize
      merge into --writeSize)
    * deprecate the ISO build functionality, we made it into grml
  * new features:
    * cap disk tests to one minute by default (--diskRuntime)
    * bump Standards-Version to 4.5.0, no change
    * improve error messages in SMTP backoff mechanism
    * backport Python 3.7 improvements to SMTP buffering handler
  * bugfixes:
    * fix unicode decode error in Python 3.7
    * create directory earlier, so that dd can work
    * fix job file argument so it supports jobs with filename=
    * fix error handling in SMTP handler
    * fix infinite loop in SMTP handler

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 20 Feb 2020 09:43:58 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
              , python3-setuptools-scm
              , python3-sphinx
              , python3-sphinx-rtd-theme
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://gitlab.com/anarcat/stressant
 Vcs-Git: https://gitlab.com/anarcat/stressant
 Vcs-Browser: https://gitlab.com/anarcat/stressant/tree/master

## stressant 0.7.0

=== debian/changelog ===
stressant (0.7.0) unstable; urgency=medium

  [ Antoine Beaupré ]
  * documentation updates:
    * add ars fio commands
    * mention nvme drives
    * move README in the right place
    * move similar software to design
    * split related projects in groups
    * add tinymembench
    * show how we actuall run a basic bench
    * checkbox is another alternative to stressant
  * new features:
    * make a basic fio test bench, only shipped in source
    * fix syntax error in docs
    * start listing iperf server lists
    * add fqdn to email subject and default logfile
    * add timestamps to email and logs
    * NegateAction: allow caller to override default
  * fixes:
    * reverse logic of default NegateAction argument
    * properly flush changes to disk before calling fio job
  * code cleanups:
    * fix branch name in gbp
    * lint: fix long line wrap

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Use canonical URL in Vcs-Git.
  * Update standards version to 4.5.1, no changes needed.

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 09 Feb 2023 11:37:48 -0500

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
              , python3-setuptools-scm
              , python3-sphinx
              , python3-sphinx-rtd-theme
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://gitlab.com/anarcat/stressant
-Vcs-Git: https://gitlab.com/anarcat/stressant
+Vcs-Git: https://gitlab.com/anarcat/stressant.git
 Vcs-Browser: https://gitlab.com/anarcat/stressant/tree/master
 
 Package: stressant

## stressant 0.8.0

=== debian/changelog ===
stressant (0.8.0) unstable; urgency=medium

  [ Antoine Beaupré ]
  * lots of small documentation tweaks, growing the library of related
    projects, mostly, but also some neat nwipe/ddrescue hacks
  * CI improvements (codespell, wrap-and-sort, renovate)
  * fix crash on missing fio examples (Closes: #1059247)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 20 Sep 2025 14:33:09 -0400

=== debian/control ===
Source: stressant
Section: admin
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.5.1
Homepage: https://gitlab.com/anarcat/stressant
Vcs-Git: https://gitlab.com/anarcat/stressant.git
Vcs-Browser: https://gitlab.com/anarcat/stressant/tree/master

Package: stressant
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 fio,
 fio-examples,
 hdparm,
 iperf3,
 lshw,
 smartmontools,
 stress-ng,
Description: simple stress testing and burn-in tool
 stressant is designed to run on new machines to make sure they will
 work reliably by testing various parts of the system (CPU, RAM, disk,
 network) by putting them under heavy load and try to detect failures.
 .
 As much as possible, stressant tries to reuse existing tools to
 perform the various tasks and aims to be run automatically.

Package: stressant-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: simple stress testing and burn-in tool (documentation)
 stressant is designed to run on new machines to make sure they will
 work reliably by testing various parts of the system (CPU, RAM, disk,
 network) by putting them under heavy load and try to detect failures.
 .
 As much as possible, stressant tries to reuse existing tools to
 perform the various tasks and aims to be run automatically.
 .
 This package ships the Sphinx documentation builtin to Stressant.

Package: stressant-meta
Architecture: all
Depends:
 f3,
 hdparm,
 nwipe,
 stressant,
 ${misc:Depends},
Suggests:
 blktool,
 bonnie++,
 chntpw,
 cryptsetup,
 diskscan,
 dosfstools,
 e2tools,
 eject,
 fatresize,
 foremost,
 gddrescue,
 gdisk,
 hfsplus,
 hfsprogs,
 hfsutils,
 i7z,
 lm-sensors,
 lsof,
 lsscsi,
 lvm2,
 memtest86+,
 mtd-utils,
 parted,
 partimage,
 pciutils,
 s-tui,
 screen,
 scrub,
 sdparm,
 sg3-utils,
 smartmontools,
 smp-utils,
 stressant-doc,
 testdisk,
 tofrodos,
 u-boot-tools,
 wodim,
Description: stress-testing, benchmarking and recovery tools (meta-package)
 Meta-pacakge for the utilities documented in the stressant project.
 .
 Packages documented in the stressant manpage are direct dependencies
 here, while the Suggested packages are general-purpose rescue,
 diagnostic, forensics or testing tools that were found in other
 rescue images.

=== debian/rules ===
--- 
+++ 
@@ -26,3 +26,8 @@
         # builder=html,man only supported in Sphinx 1.6, not yet released:
         # http://www.sphinx-doc.org/en/master/setuptools.html
 	cd doc ; make html man
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf doc/_build
+	rm -rf stressant.egg-info
